Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Big Data Appliance Perfect Balance Java API Reference Release 1 (1.0) E41667-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.hadoop.balancer.examples.invindx
Class InvertedIndex.InvertedIndexValue

`java.lang.Object
oracle.hadoop.balancer.examples.invindx.InvertedIndex.InvertedIndexValue`

All Implemented Interfaces:
  org.apache.hadoop.io.Writable

Enclosing class:
  InvertedIndex

      public static class InvertedIndex.InvertedIndexValue

extends java.lang.Object
implements org.apache.hadoop.io.Writable

Value class, contains the location of the word and its offset within that location e.g. file name of the document, and the offset of the word inside that document.

Nested Class Summary
`static class` | `InvertedIndex.InvertedIndexValue.Comparator`

Constructor Summary
`InvertedIndex.InvertedIndexValue()`

Method Summary
`int` | `hashCode()`
`void` | `readFields(java.io.DataInput in)`
`void` | `set(InvertedIndex.InvertedIndexValue ielm)`
`void` | `set(java.lang.String locationStr, int countInt, long offsetLong)`
`java.lang.String` | `toString()`
`void` | `write(java.io.DataOutput out)`

Methods inherited from class java.lang.Object
`equals, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvertedIndex.InvertedIndexValue

    public InvertedIndex.InvertedIndexValue()

Method Detail

### set

    public void set(InvertedIndex.InvertedIndexValue ielm)

### set

    public void set(java.lang.String locationStr,
                    int countInt,
                    long offsetLong)

### readFields

    public void readFields(java.io.DataInput in)
                    throws java.io.IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### write

    public void write(java.io.DataOutput out)
               throws java.io.IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Big Data Appliance Perfect Balance Java API Reference Release 1 (1.0) E41667-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013, Oracle and/or its affiliates. All rights reserved.